[RESOLU] - Incrémenter la version d'un groupe de paquet

Share here your tips or issues concerning WAPT Console or WAPT Agent / Venez ici partager vos problèmes et astuces concernants la console et l'agent WAPT
Règles du forum
Règles du forum
* English support on www.reddit.com/r/wapt
* Le support en français se fait sur ce forum
* Merci de préfixer le titre du thread par [RESOLU] s'il est résolu.
* Préciser version de WAPT installée ( 1.3.13 / 1.5 / 1.7.4)
* Préciser OS du serveur (Linux / Windows) et version (Debian Stretch/Buster - CentOS 7 - Windows Server 2012/2016/2019)
* Préciser OS de la machine d'administration/création des paquets (Windows 7 / 10)
Avatar de l’utilisateur
Root
Messages : 10
Inscription : 02 août 2017 - 14:05

07 janv. 2020 - 11:27

Bonjour,
J'ai migré mon serveur WAPT fin 2019. Par conséquent j'ai refait une grande partie de mes paquets ...
Les PC qui utilisaient l'ancien serveur avaient un groupe de paquet nommé wapt-all qui était arrivé à la version 28.

Aujourd’hui je constate que le paquet que j'ai refait (wapt-all) n'est qu'a la version 13 et les mises à jour de ce paquet ne sont donc pas téléchargées car les clients ont une version "supérieur"
Est-il possible d"incrémenter manuellement le numéro de version de ce groupe de paquet pour que les clients téléchargent les maj et ajout de paquets dans ce gorupe ?


Version WAPT Server : 1.7.4
Version WAPT Agent : 1.7.4.6223
version WAPT Setup : 1.7.4.6223
Version WAPT Deploy : 1.7.4.6223
Statut de la base: OK (1.7.4.0)
Espace disque: 92% free
Serveur : debian 10
console : w10 (compte local admin ok)
Dernière modification par Root le 07 janv. 2020 - 13:52, modifié 1 fois.
Avatar de l’utilisateur
dcardon
Expert WAPT
Messages : 393
Inscription : 18 juin 2014 - 09:58
Localisation : Nantes
Contact :

07 janv. 2020 - 13:02

Bonjour Root,
Root a écrit :
07 janv. 2020 - 11:27
Bonjour,
J'ai migré mon serveur WAPT fin 2019. Par conséquent j'ai refait une grande partie de mes paquets ...
Les PC qui utilisaient l'ancien serveur avaient un groupe de paquet nommé wapt-all qui était arrivé à la version 28.

Aujourd’hui je constate que le paquet que j'ai refait (wapt-all) n'est qu'a la version 13 et les mises à jour de ce paquet ne sont donc pas téléchargées car les clients ont une version "supérieur"
Est-il possible d"incrémenter manuellement le numéro de version de ce groupe de paquet pour que les clients téléchargent les maj et ajout de paquets dans ce gorupe ?


Version WAPT Server : 1.7.4
Version WAPT Agent : 1.7.4.6223
version WAPT Setup : 1.7.4.6223
Version WAPT Deploy : 1.7.4.6223
Statut de la base: OK (1.7.4.0)
Espace disque: 92% free
Serveur : debian 10
console : w10 (compte local admin ok)
comme pour les paquets logiciel vous pouvez faire un wapt-get edit mon-paquet-group puis modifier le fichier de contrôle manuellement, puis relancer un upload.

Cordialement,

Denis
Denis Cardon - Tranquil IT Systems
Communiquez autour de vous sur WAPT! Envoyez nous vos url de blog et d'articles dans la catégorie votre avis du forum, nous les mettrons en avant sur le site WAPT
Avatar de l’utilisateur
Root
Messages : 10
Inscription : 02 août 2017 - 14:05

07 janv. 2020 - 13:13

Merci pour votre réponse rapide je vais essayer ça.

Pour mes paquets je ne met pas le numéro de version du logiciel (par exemple vlc 3.0.8) mais le numéro de version du paquet (par exemple 6, si j'ai mis 6 fois à jour vlc).
J'ai pris cette habitude car ça me permettait de déployer une ancienne version à tout le monde simplement en mettant à jour le paquet.

Existe-il un moyen pour forcer l'installation à tous les postes d'un paquet si le numéro de version est inférieur ? Peut-être faut il cliquer sur oublier le paquet ?

EDIT : ça fonctionne bien pour l'édition du groupe de paquets. Mon problème est résolu. Merci
Répondre